Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Class JUStatusBar

`java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
oracle.jbo.uicli.controls.JUStatusBar`

All Implemented Interfaces:
  javax.accessibility.Accessible, DCStatusBarInterface, DCTransactionStateListener, java.util.EventListener, java.awt.image.ImageObserver, JUStatusBarInterface, JUTransactionStateListener, java.awt.MenuContainer, oracle.jbo.RowNavigationListener, RowSetListener, java.io.Serializable

public class JUStatusBar
extends javax.swing.JPanel
implements RowSetListener, JUStatusBarInterface, JUTransactionStateListener

JUStatusBar

Implements the JUStatusBar control to display the status of a rowset.

When a dataItemName is specified, it tracks the status of the rowset to which it is bound; otherwise, it tracks the status of the data bound control (Rowset) which currently has the focus.

The JUStatusBar has six indicators:

- Progress bar: current row's percent "through" the result set
- Current row number: row number of the current row
- Row count: number of rows in the result set
- Fetched count: number of rows fetched from the database
- Modified flag: true if one or more rows has been changed
- Message area: displays the name of the current result set
- Working icon: a graphic that is display when a long running activity begins

Each of these indicators can be hidden or shown by using the appropriate method call. The format of text displayed in each indicator can be controlled setting the value of the appropriate format string and formatter.

The default display state for each indicator is:

- Progress bar: true
- Current row number: true
- Row count: true
- Fetched count: false
- Modified flag: true
- Message area: true
- Working icon: true

Version:
  PUBLIC
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `JUStatusBar.StatusBarControl`
`class` | `JUStatusBar.StatusBarLabelControl`
`class` | `JUStatusBar.StatusBarProgressControl` A derivative of JProgressBar that listens to three DataItems.

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JUStatusBar()` Create a new StatusBar.

Method Summary
`protected void` | `_updateIndicators()`
`protected void` | `_updateIndicatorValues()`
`static JUIteratorBinding` | `createPanelBinding(JUPanelBinding formBinding, JUStatusBar control)`
`static JUIteratorBinding` | `createViewBinding(JUPanelBinding formBinding, java.lang.String voInstanceName, java.lang.String voRSIName, java.lang.String voRSIBindingName)`
`void` | `displayStatus(DCIteratorBinding iterBinding, java.lang.String msgId, java.lang.Object[] params)` This event is sent out by the framework to display a message in oracle.jbo.uicli.UIMessageBundle of the given msgId with the given set of parameters.
`void` | `displayStatus(java.lang.String msg)` Applications can invoke to display any custom messages in the status bar(s).
`void` | `focusGained(DCIteratorBinding iterBinding, DCControlBinding binding, int attrIndex)` This event is sent out by a DCCtrlBinding when the associated control comes into focus.
`java.lang.String` | `getCurrentRowFormatString()` Returns the format string for formatting the CurrentRow status label.
`oracle.jbo.format.Formatter` | `getCurrentRowFormatter()` Returns the formatter for formatting the CurrentRow status label.
`java.awt.Font` | `getFont()` StatusBar override.
`boolean` | `getHasCurrentRow()` Indicates whether the Current Row indicator is shown.
`boolean` | `getHasMessageArea()` Reports whether the Message Area is shown.
`boolean` | `getHasModeIcon()` Reports whether the Message Area is shown.
`boolean` | `getHasModifiedFlag()` Reports whether the modified flag is shown.
`boolean` | `getHasPercentDone()` Indicates whether the Percent Done indicator is shown.
`boolean` | `getHasRowCount()` Indicates whether the Row Count indicator is shown.
`javax.swing.border.Border` | `getIndicatorBorderStyle()` Returns the border sytle used by the status bar's indicators.
`java.awt.LayoutManager` | `getLayout()` Returns the LayoutManger used by the StatusBar.
`java.awt.Dimension` | `getMaximumSize()` StatusBar override.
`java.lang.String` | `getMessageAreaFormatString()` Returns the format string for formatting the MessageArea status label.
`oracle.jbo.format.Formatter` | `getMessageAreaFormatter()` Returns the formatter for formatting the MessageArea status label.
`java.awt.Dimension` | `getMinimumSize()` StatusBar override.
`DCIteratorBinding` | `getModel()`
`static JUIteratorBinding` | `getModelInstance(JUPanelBinding formBinding, JUStatusBar control)`
`static JUIteratorBinding` | `getModelInstance(JUPanelBinding formBinding, java.lang.String voInstanceName, java.lang.String voRSIName, java.lang.String voRSIBindingName)`
`java.lang.String` | `getModifiedFlagFormatString()` Returns the format string for formatting the ModifiedFlag status label.
`oracle.jbo.format.Formatter` | `getModifiedFlagFormatter()` Returns the formatter for formatting the ModifiedFlag status label.
`java.lang.String` | `getPercentDoneFormatString()` Returns the format string for formatting the PercentDone status label.
`oracle.jbo.format.Formatter` | `getPercentDoneFormatter()` Returns the formatter for formatting the PercentDone status label.
`java.awt.Dimension` | `getPreferredSize()` StatusBar override.
`java.awt.Dimension` | `getProgressBarSize()` Returns the progress indicator's size.
`java.lang.String` | `getRowCountFormatString()` Returns the format string for formatting the RowCount status label.
`oracle.jbo.format.Formatter` | `getRowCountFormatter()` Returns the formatter for formatting the RowCount status label.
`java.lang.String` | `getStatusMessageText()`
`void` | `navigated(NavigationEvent event)` Invoked when the current-row designation changes.
`void` | `rangeRefreshed(RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(ScrollEvent event)` Invoked when the range is scrolled.
`void` | `release()` Framework calls this method when it needs to indicate that the connection to BC4J is being released.
`void` | `rowDeleted(DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(UpdateEvent event)` Invoked when an attribute of the row has been changed.
`void` | `setBackground(java.awt.Color c)` StatusBar override.
`void` | `setCurrentRowFormatString(java.lang.String currentRowFormatString)` Sets the format string for formatting the CurrentRow status label.
`void` | `setCurrentRowFormatter(oracle.jbo.format.Formatter currentRowFormatter)` Sets the formatter for formatting the CurrentRow status label.
`void` | `setDataModeIcon(javax.swing.Icon icon)` StatusBar override.
`void` | `setFindModeIcon(javax.swing.Icon icon)` StatusBar override.
`void` | `setFont(java.awt.Font nuFont)` StatusBar override.
`void` | `setForeground(java.awt.Color c)` StatusBar override.
`void` | `setHasCurrentRow(boolean showIt)` Determines whether the current row indicator is visible.
`void` | `setHasMessageArea(boolean showIt)` Determines whether the message are is visible.
`void` | `setHasModeIcon(boolean showIt)` Determines whether the message are is visible.
`void` | `setHasModifiedFlag(boolean showIt)` Determines whether the modified flag is visible.
`void` | `setHasPercentDone(boolean showIt)` Determines whether the percent done indicator is visible.
`void` | `setHasRowCount(boolean showIt)` Determines whether the row count indicator is visible.
`void` | `setIndicatorBorderStyle(javax.swing.border.Border indicatorBorderStyle)` Sets the border sytle for the status bar's indicators.
`void` | `setLayout(java.awt.LayoutManager l)` An override of the setLayout() inherited from java.awt.Container.
`void` | `setMaximumSize(java.awt.Dimension dim)`
`void` | `setMessageAreaFormatString(java.lang.String messageAreaFormatString)` Sets the format string for formatting the MessageArea status label.
`void` | `setMessageAreaFormatter(oracle.jbo.format.Formatter messageAreaFormatter)` Sets the formatter for formatting the MessageArea status label.
`void` | `setMinimumSize(java.awt.Dimension dim)`
`void` | `setModel(DCIteratorBinding bind)`
`void` | `setModel(JUIteratorBinding bind)`
`void` | `setModifiedFlagFormatString(java.lang.String modifiedFlagFormatString)` Sets the format string for formatting the ModifiedFlag status label.
`void` | `setModifiedFlagFormatter(oracle.jbo.format.Formatter modifiedFlagFormatter)` Sets the formatter for formatting the ModifiedFlag status label.
`void` | `setPercentDoneFormatString(java.lang.String percentDoneFormatString)` Sets the format string for formatting the PercentDone status label.
`void` | `setPercentDoneFormatter(oracle.jbo.format.Formatter percentDoneFormatter)` Sets the formatter for formatting the PercentDone status label.
`void` | `setPreferredSize(java.awt.Dimension dim)`
`void` | `setProgressBarSize(java.awt.Dimension progressBarSize)` Sets the progress indicator's size.
`void` | `setRowCountFormatString(java.lang.String rowCountFormatString)` Sets the format string for formatting the RowCount status label.
`void` | `setRowCountFormatter(oracle.jbo.format.Formatter rowCountFormatter)` Sets the formatter for formatting the RowCount status label.
`void` | `transactionStateChanged(boolean state)` Invoked when the transaction is either marked dirty or clean.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setInputMap, setInputVerifier, setNextFocusableComponent, setOpaque, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUStatusBar

    public JUStatusBar()

  Create a new StatusBar.

Method Detail

### createViewBinding

    public static JUIteratorBinding createViewBinding(JUPanelBinding formBinding,
                                                      java.lang.String voInstanceName,
                                                      java.lang.String voRSIName,
                                                      java.lang.String voRSIBindingName)

### getModelInstance

    public static JUIteratorBinding getModelInstance(JUPanelBinding formBinding,
                                                     java.lang.String voInstanceName,
                                                     java.lang.String voRSIName,
                                                     java.lang.String voRSIBindingName)

### createPanelBinding

    public static JUIteratorBinding createPanelBinding(JUPanelBinding formBinding,
                                                       JUStatusBar control)

### getModelInstance

    public static JUIteratorBinding getModelInstance(JUPanelBinding formBinding,
                                                     JUStatusBar control)

### getModel

    public DCIteratorBinding getModel()

### setModel

    public void setModel(JUIteratorBinding bind)

### setModel

    public void setModel(DCIteratorBinding bind)

### getLayout

    public java.awt.LayoutManager getLayout()

  Returns the LayoutManger used by the StatusBar.

  The StatusBar only uses a GridBag layout manager defined in its constructor.

  Returns:
    The LayoutManger used by the StatusBar.

### setLayout

    public void setLayout(java.awt.LayoutManager l)

  An override of the setLayout() inherited from java.awt.Container.
  Parameters:
    `l` - A LayoutManger that will be ignored by the StatusBar.

### setProgressBarSize

    public void setProgressBarSize(java.awt.Dimension progressBarSize)

  Sets the progress indicator's size.
  Parameters:
    `progressBarSize` - The desired size of the progress indicator.
  See Also:
    `getProgressBarSize()`

### getProgressBarSize

    public java.awt.Dimension getProgressBarSize()

  Returns the progress indicator's size.
  Returns:
    The progress indicator's size.
  See Also:
    `setProgressBarSize(Dimension progressBarSize)`

### setIndicatorBorderStyle

    public void setIndicatorBorderStyle(javax.swing.border.Border indicatorBorderStyle)

  Sets the border sytle for the status bar's indicators.
  Parameters:
    `indicatorBorderStyle` - The border sytle for the status bar's indicators.
  See Also:
    `getIndicatorBorderStyle()`

### getIndicatorBorderStyle

    public javax.swing.border.Border getIndicatorBorderStyle()

  Returns the border sytle used by the status bar's indicators.
  Returns:
    The border sytle used by the status bar's indicators.
  See Also:
    `setIndicatorBorderStyle(Border indicatorBorderStyle)`

### setFont

    public void setFont(java.awt.Font nuFont)

  StatusBar override.

  Sets the font for the status bar and all contained components.

  Parameters:
    `nuFont` - The font to use for the status bar and all contained components
  See Also:
    `getFont()`

### getFont

    public java.awt.Font getFont()

  StatusBar override.

  Returns the font for the status bar and all contained conponents.

  Specified by:
    `getFont` in interface `java.awt.MenuContainer`
  Returns:
    The font used for the status bar and all contained components.
  See Also:
    `setFont(Font nuFont)`

### setDataModeIcon

    public void setDataModeIcon(javax.swing.Icon icon)

  StatusBar override.
  Parameters:
    `icon` - The icon to use to display Data mode status

### setFindModeIcon

    public void setFindModeIcon(javax.swing.Icon icon)

  StatusBar override.
  Parameters:
    `icon` - The icon to use to display Find mode status

### setForeground

    public void setForeground(java.awt.Color c)

  StatusBar override.
  Parameters:
    `c` - The foreground color for the StatusBar.

### setBackground

    public void setBackground(java.awt.Color c)

  StatusBar override.
  Parameters:
    `c` - The background color for the StatusBar.

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  StatusBar override.
  Returns:
    The maximum dimensions of the StatusBar.

### setMaximumSize

    public void setMaximumSize(java.awt.Dimension dim)

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  StatusBar override.
  Returns:
    The minimum Dimensions of the StatusBar.

### setMinimumSize

    public void setMinimumSize(java.awt.Dimension dim)

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  StatusBar override.
  Returns:
    The preferred dimensions of the StatusBar.

### setPreferredSize

    public void setPreferredSize(java.awt.Dimension dim)

### setCurrentRowFormatter

    public void setCurrentRowFormatter(oracle.jbo.format.Formatter currentRowFormatter)

  Sets the formatter for formatting the CurrentRow status label.
  Parameters:
    `currentRowFormatter` - Formatter for formatting the CurrentRow status label.
  See Also:
    `getCurrentRowFormatter()`

### getCurrentRowFormatter

    public oracle.jbo.format.Formatter getCurrentRowFormatter()

  Returns the formatter for formatting the CurrentRow status label.
  Returns:
    The formatter for formatting the CurrentRow status label.
  See Also:
    `setCurrentRowFormatter(Formatter currentRowFormatter)`

### setRowCountFormatter

    public void setRowCountFormatter(oracle.jbo.format.Formatter rowCountFormatter)

  Sets the formatter for formatting the RowCount status label.
  Parameters:
    `rowCountFormatter` - Formatter for formatting the RowCount status label.
  See Also:
    `getRowCountFormatter()`

### getRowCountFormatter

    public oracle.jbo.format.Formatter getRowCountFormatter()

  Returns the formatter for formatting the RowCount status label.
  Returns:
    The formatter for formatting the RowCount status label.
  See Also:
    `setRowCountFormatter(Formatter RowCountFormatter)`

### setModifiedFlagFormatter

    public void setModifiedFlagFormatter(oracle.jbo.format.Formatter modifiedFlagFormatter)

  Sets the formatter for formatting the ModifiedFlag status label.
  Parameters:
    `modifiedFlagFormatter` - Formatter for formatting the ModifiedFlag status label.
  See Also:
    `getModifiedFlagFormatter()`

### getModifiedFlagFormatter

    public oracle.jbo.format.Formatter getModifiedFlagFormatter()

  Returns the formatter for formatting the ModifiedFlag status label.
  Returns:
    The formatter for formatting the ModifiedFlag status label.
  See Also:
    `setModifiedFlagFormatter(Formatter ModifiedFlagFormatter)`

### setMessageAreaFormatter

    public void setMessageAreaFormatter(oracle.jbo.format.Formatter messageAreaFormatter)

  Sets the formatter for formatting the MessageArea status label.
  Parameters:
    `messageAreaFormatter` - Formatter for formatting the MessageArea status label.
  See Also:
    `getMessageAreaFormatter()`

### getMessageAreaFormatter

    public oracle.jbo.format.Formatter getMessageAreaFormatter()

  Returns the formatter for formatting the MessageArea status label.
  Returns:
    The formatter for formatting the MessageArea status label.
  See Also:
    `setMessageAreaFormatter(Formatter messageAreaFormatter)`

### setPercentDoneFormatter

    public void setPercentDoneFormatter(oracle.jbo.format.Formatter percentDoneFormatter)

  Sets the formatter for formatting the PercentDone status label.
  Parameters:
    `percentDoneFormatter` - Formatter for formatting the PercentDone status label.
  See Also:
    `getPercentDoneFormatter()`

### getPercentDoneFormatter

    public oracle.jbo.format.Formatter getPercentDoneFormatter()

  Returns the formatter for formatting the PercentDone status label.
  Returns:
    The formatter for formatting the PercentDone status label.
  See Also:
    `setPercentDoneFormatter(Formatter percentDoneFormatter)`

### setCurrentRowFormatString

    public void setCurrentRowFormatString(java.lang.String currentRowFormatString)

  Sets the format string for formatting the CurrentRow status label.
  Parameters:
    `currentRowFormatString` - Format string for formatting the CurrentRow status label.
  See Also:
    `getCurrentRowFormatString()`

### getCurrentRowFormatString

    public java.lang.String getCurrentRowFormatString()

  Returns the format string for formatting the CurrentRow status label.
  Returns:
    The format string for formatting the CurrentRow status label.
  See Also:
    `setCurrentRowFormatString(String currentRowFormatString)`

### setRowCountFormatString

    public void setRowCountFormatString(java.lang.String rowCountFormatString)

  Sets the format string for formatting the RowCount status label.
  Parameters:
    `rowCountFormatString` - Format string for formatting the RowCount status label.
  See Also:
    `getRowCountFormatString()`

### getRowCountFormatString

    public java.lang.String getRowCountFormatString()

  Returns the format string for formatting the RowCount status label.
  Returns:
    The format string for formatting the RowCount status label.
  See Also:
    `setRowCountFormatString(String RowCountFormatString)`

### setModifiedFlagFormatString

    public void setModifiedFlagFormatString(java.lang.String modifiedFlagFormatString)

  Sets the format string for formatting the ModifiedFlag status label.
  Parameters:
    `modifiedFlagFormatString` - Format string for formatting the ModifiedFlag status label.
  See Also:
    `getModifiedFlagFormatString()`

### getModifiedFlagFormatString

    public java.lang.String getModifiedFlagFormatString()

  Returns the format string for formatting the ModifiedFlag status label.
  Returns:
    The format string for formatting the ModifiedFlag status label.
  See Also:
    `setModifiedFlagFormatString(String ModifiedFlagFormatString)`

### setMessageAreaFormatString

    public void setMessageAreaFormatString(java.lang.String messageAreaFormatString)

  Sets the format string for formatting the MessageArea status label.
  Parameters:
    `messageAreaFormatString` - Format string for formatting the MessageArea status label.
  See Also:
    `getMessageAreaFormatString()`

### getMessageAreaFormatString

    public java.lang.String getMessageAreaFormatString()

  Returns the format string for formatting the MessageArea status label.
  Returns:
    The format string for formatting the MessageArea status label.
  See Also:
    `setMessageAreaFormatString(String messageAreaFormatString)`

### setPercentDoneFormatString

    public void setPercentDoneFormatString(java.lang.String percentDoneFormatString)

  Sets the format string for formatting the PercentDone status label.
  Parameters:
    `percentDoneFormatString` - Format string for formatting the PercentDone status label.
  See Also:
    `getPercentDoneFormatString()`

### getPercentDoneFormatString

    public java.lang.String getPercentDoneFormatString()

  Returns the format string for formatting the PercentDone status label.
  Returns:
    The format string for formatting the PercentDone status label.
  See Also:
    `setPercentDoneFormatString(String percentDoneFormatString)`

### getHasModifiedFlag

    public boolean getHasModifiedFlag()

  Reports whether the modified flag is shown.

  A status reporting method that informs the caller whether or not the message area of the StatusBar is displayed.

  Returns:
    `TRUE` if the modified flag is displayed.
  See Also:
    `setHasModifiedFlag(boolean showIt)`

### setHasModifiedFlag

    public void setHasModifiedFlag(boolean showIt)

  Determines whether the modified flag is visible.

  Allows the caller to show or hide the message area in the StatusBar.

  Parameters:
    `showIt` - If `TRUE`, then the modified flag will be shown.
  See Also:
    `getHasModifiedFlag()`

### getHasMessageArea

    public boolean getHasMessageArea()

  Reports whether the Message Area is shown.

  A status reporting method that informs the caller whether or not the message area of the StatusBar is displayed.

  Returns:
    `TRUE` if the message area is displayed.
  See Also:
    `setHasMessageArea(boolean showIt)`

### setHasMessageArea

    public void setHasMessageArea(boolean showIt)

  Determines whether the message are is visible.

  Allows the caller to show or hide the message area in the StatusBar.

  Parameters:
    `showIt` - If `TRUE`, then the message area will be shown.
  See Also:
    `getHasMessageArea()`

### getHasCurrentRow

    public boolean getHasCurrentRow()

  Indicates whether the Current Row indicator is shown.

  A status reporting method that informs the caller whether or not the Current Row indicator on the StatusBar is displayed.

  Returns:
    `TRUE` if the current row indicator is shown.
  See Also:
    `setHasCurrentRow(boolean showIt)`

### setHasCurrentRow

    public void setHasCurrentRow(boolean showIt)

  Determines whether the current row indicator is visible.

  Allows the caller to show or hide the current row indicator in the StatusBar.

  Parameters:
    `showIt` - if `TRUE`, then the current row indicator is shown
  See Also:
    `getHasCurrentRow()`

### getHasRowCount

    public boolean getHasRowCount()

  Indicates whether the Row Count indicator is shown.

  A status reporting method that informs the caller whether or not the Row Count indicator on the StatusBar is displayed.

  Returns:
    `TRUE` if the row count indicator is shown.
  See Also:
    `setHasRowCount(boolean showIt)`

### setHasRowCount

    public void setHasRowCount(boolean showIt)

  Determines whether the row count indicator is visible.

  Allows the caller to show or hide the row count indicator in the StatusBar.

  Parameters:
    `showIt` - if `TRUE`, then the row count indicator is shown
  See Also:
    `getHasRowCount()`

### getHasPercentDone

    public boolean getHasPercentDone()

  Indicates whether the Percent Done indicator is shown.

  A status reporting method that informs the caller whether or not the Percent Done indicator on the StatusBar is displayed.

  Returns:
    `TRUE` if the percent done indicator is shown.
  See Also:
    `setHasPercentDone(boolean showIt)`

### setHasPercentDone

    public void setHasPercentDone(boolean showIt)

  Determines whether the percent done indicator is visible.

  Allows the caller to show or hide the percent done indicator in the StatusBar.

  Parameters:
    `showIt` - if `TRUE`, then the percent done indicator is shown.
  See Also:
    `getHasPercentDone()`

### getHasModeIcon

    public boolean getHasModeIcon()

  Reports whether the Message Area is shown.

  A status reporting method that informs the caller whether or not the message area of the StatusBar is displayed.

  Returns:
    `TRUE` if the message area is displayed.
  See Also:
    `setHasModeIcon(boolean showIt)`

### setHasModeIcon

    public void setHasModeIcon(boolean showIt)

  Determines whether the message are is visible.

  Allows the caller to show or hide the message area in the StatusBar.

  Parameters:
    `showIt` - If `TRUE`, then the message area will be shown.
  See Also:
    `getHasModeIcon()`

### transactionStateChanged

    public void transactionStateChanged(boolean state)

  Description copied from interface: `DCTransactionStateListener`
  Invoked when the transaction is either marked dirty or clean.
  Specified by:
    `transactionStateChanged` in interface `DCTransactionStateListener`
  Parameters:
    `state` - Indicates if the transaction was marked clean (true) or dirty (false). Controls like NavigationBar then disables/enables the Save button to indicate there are changes that need to be saved/committed to the database.

### focusGained

    public void focusGained(DCIteratorBinding iterBinding,
                            DCControlBinding binding,
                            int attrIndex)

  Description copied from interface: `DCStatusBarInterface`
  This event is sent out by a DCCtrlBinding when the associated control comes into focus.
  Specified by:
    `focusGained` in interface `DCStatusBarInterface`
  Parameters:
    `iterBinding` - The Iterator that the control-binding is working with.
    `binding` - Identifies which control is coming into focus.
    `attrIndex` - Index of the attribute in the DCCtrlBinding that is current/in focus. The value for this index could be -1 if a composite control that is working with a ViewObject or RowIterator comes in focus (like a JTree/JTable/DCNavigationBar).

### getStatusMessageText

    public java.lang.String getStatusMessageText()

### displayStatus

    public void displayStatus(DCIteratorBinding iterBinding,
                              java.lang.String msgId,
                              java.lang.Object[] params)

  Description copied from interface: `DCStatusBarInterface`
  This event is sent out by the framework to display a message in oracle.jbo.uicli.UIMessageBundle of the given msgId with the given set of parameters.
  Specified by:
    `displayStatus` in interface `DCStatusBarInterface`
  Parameters:
    `iterBinding` - Current IteratorBinding object for the control that sends this message.
    `msgId` - String ID of a message from UIMessageBundle to display.
    `params` - Parameters that the message needs to format an appropriate display.

### displayStatus

    public void displayStatus(java.lang.String msg)

  Description copied from interface: `DCStatusBarInterface`
  Applications can invoke to display any custom messages in the status bar(s).
  Specified by:
    `displayStatus` in interface `DCStatusBarInterface`

### navigated

    public void navigated(NavigationEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the current-row designation changes.
  Specified by:
    `navigated` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new and previous current rows.

### rangeRefreshed

    public void rangeRefreshed(RangeRefreshEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the range changes.
  Specified by:
    `rangeRefreshed` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(ScrollEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the range is scrolled.
  Specified by:
    `rangeScrolled` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new range.

### rowDeleted

    public void rowDeleted(DeleteEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when a row has been deleted.
  Specified by:
    `rowDeleted` in interface `RowSetListener`
  Parameters:
    `event` - a description of the deleted Row object.

### rowInserted

    public void rowInserted(InsertEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when a row has been inserted.
  Specified by:
    `rowInserted` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new Row object.

### rowUpdated

    public void rowUpdated(UpdateEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when an attribute of the row has been changed.
  Specified by:
    `rowUpdated` in interface `RowSetListener`
  Parameters:
    `event` - a description of the modified Row object.

### _updateIndicators

    protected void _updateIndicators()

### _updateIndicatorValues

    protected void _updateIndicatorValues()

### release

    public void release()

  Description copied from interface: `DCStatusBarInterface`
  Framework calls this method when it needs to indicate that the connection to BC4J is being released.
  Specified by:
    `release` in interface `DCStatusBarInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.